The unified diff between revisions [39231ba9..] and [eda4385a..] is displayed below. It can also be downloaded as a raw diff.

#
#
# patch "debian/changelog"
#  from [0ce0f0cce62148e6471ea2edf8bef9f1e82fcb97]
#    to [9d0223932cf6d4f7b076ff42a3bb1ea0c29be418]
#
# patch "debian/control"
#  from [e48e95c01cf2d4b786cf464e88fcb2408db8b022]
#    to [628480fcd279ed6d707abc87d40102dbeca57483]
#
# patch "debian/patches/svn-updates.dpatch"
#  from [3420aa2560de3af527f5ace83241206271042085]
#    to [01bf33fe5d7b1744589ef1f8486338703938f778]
#
============================================================
--- debian/changelog	0ce0f0cce62148e6471ea2edf8bef9f1e82fcb97
+++ debian/changelog	9d0223932cf6d4f7b076ff42a3bb1ea0c29be418
@@ -1,14 +1,14 @@
-gcc-4.2 (4.2.4-5) UNRELEASED; urgency=low
+gcc-4.2 (4.2.4-5) unstable; urgency=low

-  * Update to SVN 20081201 from the ubuntu/gcc-4_2-branch.
+  * Update to SVN 20090104 from the ubuntu/gcc-4_2-branch.
     - PR c++/27574, PR rtl-optimization/36438, PR c++/38007,
       PR middle-end/37807, PR middle-end/37809, PR bootstrap/33100,
       PR target/37909, PR c++/37142, PR c++/38030, PR c++/37932,
-      PR target/38287 (sparc, wrong code).
+      PR bootstrap/37295.
+    - Fix PR target/38287 (sparc, wrong code). Addresses: #506713.
   * Do not build-depend on autogen, if the package is not installable.
-  * Configure with --with-tune=generic for x86 targets.

- -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2008 04:11:35 +0100
+ -- Matthias Klose <doko@debian.org>  Sun, 04 Jan 2009 13:35:42 +0100

 gcc-4.2 (4.2.4-4) unstable; urgency=low

============================================================
--- debian/control	e48e95c01cf2d4b786cf464e88fcb2408db8b022
+++ debian/control	628480fcd279ed6d707abc87d40102dbeca57483
@@ -4,7 +4,7 @@ Standards-Version: 3.7.3
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: dpkg-dev (>= 1.14.15), debhelper (>= 5.0.62), gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc kfreebsd-amd64], libc6.1-dev (>= 2.5) [alpha ia64] | libc0.3-dev (>= 2.5) [hurd-i386] | libc0.1-dev (>= 2.5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.5), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64], lib64gcc1 [i386 powerpc sparc s390], libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], m4, autoconf, autoconf2.13, automake1.9, libtool, autogen, gawk, expect-tcl8.3 [hppa], dejagnu [!hurd-i386], lzma, binutils (>= 2.17cvs20070426) | binutils-multiarch (>= 2.17cvs20070426), binutils-hppa64 (>= 2.17cvs20070426) [hppa], gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, texinfo (>= 4.3), libmpfr-dev (>= 2.3.0~rc1.dfsg.1) [!avr], locales [!hurd-i386 !m68k], procps [!hurd-i386], sharutils, realpath (>= 1.9.12), chrpath, lsb-release, make (>= 3.81)
+Build-Depends: dpkg-dev (>= 1.14.15), debhelper (>= 5.0.62), gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc kfreebsd-amd64], libc6.1-dev (>= 2.5) [alpha ia64] | libc0.3-dev (>= 2.5) [hurd-i386] | libc0.1-dev (>= 2.5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.5), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64], lib64gcc1 [i386 powerpc sparc s390], autogen, libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], m4, autoconf, autoconf2.13, automake1.9, libtool, gawk, expect-tcl8.3 [hppa], dejagnu [!hurd-i386], lzma, binutils (>= 2.17cvs20070426) | binutils-multiarch (>= 2.17cvs20070426), binutils-hppa64 (>= 2.17cvs20070426) [hppa], gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, texinfo (>= 4.3), libmpfr-dev (>= 2.3.0~rc1.dfsg.1) [!avr], locales [!hurd-i386 !m68k], procps [!hurd-i386], sharutils, realpath (>= 1.9.12), chrpath, lsb-release, make (>= 3.81)
 Build-Depends-Indep: doxygen (>= 1.4.2), graphviz (>= 2.2), gsfonts-x11, texlive-latex-base,

 Package: gcc-4.2-base
============================================================
--- debian/patches/svn-updates.dpatch	3420aa2560de3af527f5ace83241206271042085
+++ debian/patches/svn-updates.dpatch	01bf33fe5d7b1744589ef1f8486338703938f778
@@ -1,12 +1,12 @@
 #! /bin/sh -e

-# DP: updates from the 4.2 branch upto 20081201.
+# DP: updates from the 4.2 branch upto 20090104.

 last_updated()
 {
 	cat > ${dir}LAST_UPDATED <<EOF
-Mon Dec  1 11:28:32 CET 2008
-Mon Dec  1 10:28:32 UTC 2008 (revision 142308)
+Sun Jan  4 13:38:31 CET 2009
+Sun Jan  4 12:38:31 UTC 2009 (revision 143049)
 EOF
 }

@@ -39,8 +39,8 @@ Index: libdecnumber/Makefile.in

 Index: libdecnumber/Makefile.in
 ===================================================================
---- libdecnumber/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libdecnumber/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libdecnumber/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libdecnumber/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -122,7 +122,7 @@
  distclean: clean
  	-rm -f config.h stamp-h1 config.status config.cache config.log \
@@ -52,8 +52,8 @@ Index: libdecnumber/ChangeLog
  	@echo "This command is intended for maintainers to use"
 Index: libdecnumber/ChangeLog
 ===================================================================
---- libdecnumber/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libdecnumber/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libdecnumber/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libdecnumber/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,11 @@
 +2008-06-16  Ben Elliston  <bje@au.ibm.com>
 +
@@ -68,8 +68,8 @@ Index: gcc/regrename.c
  	* GCC 4.2.4 released.
 Index: gcc/regrename.c
 ===================================================================
---- gcc/regrename.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/regrename.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/regrename.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/regrename.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1335,6 +1335,10 @@
  		   enum machine_mode new_mode, unsigned int regno,
  		   unsigned int copy_regno ATTRIBUTE_UNUSED)
@@ -83,8 +83,8 @@ Index: gcc/doc/install.texi2html
    else if (mode_change_ok (orig_mode, new_mode, regno))
 Index: gcc/doc/install.texi2html
 ===================================================================
---- gcc/doc/install.texi2html	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/doc/install.texi2html	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/doc/install.texi2html	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/doc/install.texi2html	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -32,7 +32,7 @@
        echo "@clear DEVELOPMENT"
     fi
@@ -106,8 +106,8 @@ Index: gcc/java/class.c
 +rm $DESTDIR/gcc-vers.texi
 Index: gcc/java/class.c
 ===================================================================
---- gcc/java/class.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/java/class.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/java/class.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/java/class.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,6 +1,6 @@
  /* Functions related to building classes and their related objects.
     Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
@@ -133,8 +133,8 @@ Index: gcc/java/ChangeLog
  	return build_static_class_ref (type);
 Index: gcc/java/ChangeLog
 ===================================================================
---- gcc/java/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/java/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/java/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/java/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,13 @@
 +2008-06-14  Tom Tromey  <tromey@redhat.com>
 +
@@ -151,8 +151,8 @@ Index: gcc/cgraph.c
  	* gcj.texi: Include gpl_v3.texi instead of gpl.texi
 Index: gcc/cgraph.c
 ===================================================================
---- gcc/cgraph.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cgraph.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cgraph.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cgraph.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -593,6 +593,14 @@
  	      && (TREE_ASM_WRITTEN (n->decl) || DECL_EXTERNAL (n->decl))))
  	kill_body = true;
@@ -170,15 +170,15 @@ Index: gcc/DATESTAMP
      {
 Index: gcc/DATESTAMP
 ===================================================================
---- gcc/DATESTAMP	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/DATESTAMP	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/DATESTAMP	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/DATESTAMP	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1 +1 @@
 -20080519
-+20081201
++20090104
 Index: gcc/rtlanal.c
 ===================================================================
---- gcc/rtlanal.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/rtlanal.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/rtlanal.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/rtlanal.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3400,8 +3400,9 @@
    enum rtx_code code;
    unsigned int mode_width = GET_MODE_BITSIZE (mode);
@@ -201,10 +201,34 @@ Index: gcc/rtlanal.c
      return 1;

    /* For a smaller object, just ignore the high bits.  */
+Index: gcc/configure
+===================================================================
+--- gcc/configure	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/configure	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -14045,9 +14045,16 @@
+   # arbitrary sections are supported and try the test.
+   as_ver=`$gcc_cv_as --version 2>/dev/null | sed 1q`
+   if echo "$as_ver" | grep GNU > /dev/null; then
+-    as_ver=`echo $as_ver | sed -e 's/GNU assembler \([0-9.][0-9.]*\).*/\1/'`
+-    as_major=`echo $as_ver | sed 's/\..*//'`
+-    as_minor=`echo $as_ver | sed 's/[^.]*\.\([0-9]*\).*/\1/'`
++    as_vers=`echo $as_ver | sed -n \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
++	-e 's,^.*[ 	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[ 	].*$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[	 -].*$,\1,p'`
++    as_major=`expr "$as_vers" : '\([0-9]*\)'`
++    as_minor=`expr "$as_vers" : '[0-9]*\.\([0-9]*\)'`
+     if test $as_major -eq 2 && test $as_minor -lt 11
+     then :
+     else gcc_cv_as_leb128=yes
 Index: gcc/fold-const.c
 ===================================================================
---- gcc/fold-const.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/fold-const.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/fold-const.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/fold-const.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -816,7 +816,7 @@
  	if (hden < 0)
  	  neg_double (lden, hden, &labs_den, &habs_den);
@@ -225,8 +249,8 @@ Index: gcc/cgraphunit.c
  	      /* quo = quo - 1;  */
 Index: gcc/cgraphunit.c
 ===================================================================
---- gcc/cgraphunit.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cgraphunit.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cgraphunit.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cgraphunit.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1609,7 +1609,10 @@
        for (node = cgraph_nodes; node; node = node->next)
  	if (node->analyzed
@@ -241,9 +265,25 @@ Index: gcc/ChangeLog
  	    dump_cgraph_node (stderr, node);
 Index: gcc/ChangeLog
 ===================================================================
---- gcc/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
-@@ -1,3 +1,162 @@
+--- gcc/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -1,3 +1,178 @@
++2008-12-25  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>
++
++	PR bootstrap/37295
++	Backport from mainline:
++	2007-08-23  Brian Sidebotham  <brian.sidebotham@gmail.com>
++
++        * configure.ac (leb128): Modify sed statement to work with any
++	binutils version string.
++	* configure: Regenerate
++
++2008-12-04  Eric Botcazou  <ebotcazou@adacore.com>
++            Gary Funck  <gary@intrepid.com>
++
++	* cse.c (lookup_as_function): Delete mode frobbing code.
++	(fold_rtx_subreg): Re-implement it there for SUBREGs.
++
 +2008-11-30  Eric Botcazou  <ebotcazou@adacore.com>
 +
 +	PR target/38287
@@ -406,7 +446,7 @@ Index: gcc/ChangeLog
  2008-05-19  Release Manager

  	* GCC 4.2.4 released.
-@@ -2610,7 +2769,7 @@
+@@ -2610,7 +2785,7 @@
  	* config/rs6000/rs6000.c (rs6000_function_value): Look at bit size
  	instead of precision.

@@ -418,7 +458,7 @@ Index: gcc/testsuite/gcc.c-torture/compi
 Index: gcc/testsuite/gcc.c-torture/compile/pr35432.c
 ===================================================================
 --- gcc/testsuite/gcc.c-torture/compile/pr35432.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.c-torture/compile/pr35432.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.c-torture/compile/pr35432.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,11 @@
 +/* PR middle-end/35432 */
 +
@@ -434,7 +474,7 @@ Index: gcc/testsuite/gcc.target/i386/pr3
 Index: gcc/testsuite/gcc.target/i386/pr36438.c
 ===================================================================
 --- gcc/testsuite/gcc.target/i386/pr36438.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.target/i386/pr36438.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.target/i386/pr36438.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,20 @@
 +/* { dg-do compile } */
 +/* { dg-options "-O2 -mmmx" } */
@@ -459,7 +499,7 @@ Index: gcc/testsuite/gcc.target/i386/pr3
 Index: gcc/testsuite/gcc.target/i386/pr37101.c
 ===================================================================
 --- gcc/testsuite/gcc.target/i386/pr37101.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.target/i386/pr37101.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.target/i386/pr37101.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,64 @@
 +/* { dg-do compile } */
 +/* { dg-options "-O2 -msse2 -ftree-vectorize -march=nocona" } */
@@ -528,7 +568,7 @@ Index: gcc/testsuite/gcc.target/i386/mmx
 Index: gcc/testsuite/gcc.target/i386/mmx-8.c
 ===================================================================
 --- gcc/testsuite/gcc.target/i386/mmx-8.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.target/i386/mmx-8.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.target/i386/mmx-8.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,150 @@
 +/* PR middle-end/37809 */
 +
@@ -683,7 +723,7 @@ Index: gcc/testsuite/gnat.dg/conv_decima
 Index: gcc/testsuite/gnat.dg/conv_decimal.adb
 ===================================================================
 --- gcc/testsuite/gnat.dg/conv_decimal.adb	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gnat.dg/conv_decimal.adb	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gnat.dg/conv_decimal.adb	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,34 @@
 +-- PR middle-end/36575
 +-- reporter: Laurent Guerby <laurent@guerby.net>
@@ -722,7 +762,7 @@ Index: gcc/testsuite/gcc.dg/nested-func-
 Index: gcc/testsuite/gcc.dg/nested-func-6.c
 ===================================================================
 --- gcc/testsuite/gcc.dg/nested-func-6.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.dg/nested-func-6.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.dg/nested-func-6.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,14 @@
 +/* { dg-do compile } */
 +/* { dg-options "-O -Winline" } */
@@ -738,10 +778,61 @@ Index: gcc/testsuite/gcc.dg/nested-func-
 +{
 +  return foo1 (a);
 +}
+Index: gcc/testsuite/gcc.dg/union-5.c
+===================================================================
+--- gcc/testsuite/gcc.dg/union-5.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
++++ gcc/testsuite/gcc.dg/union-5.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -0,0 +1,46 @@
++/* { dg-do run { target i?86-*-* x86_64-*-* } } */
++/* { dg-options "-O -fgcse" } */
++
++extern void abort(void);
++
++typedef unsigned short int uint16_t;
++typedef unsigned int uint32_t;
++typedef unsigned long long uint64_t;
++
++typedef struct
++{
++  uint16_t thread;
++  uint16_t phase;
++} s32;
++
++typedef union
++{
++  uint32_t i;
++  s32 s;
++} u32;
++
++typedef union
++{
++  uint64_t i;
++  u32 u;
++} u64;
++
++static __attribute__((noinline))
++void foo(int val)
++{
++  u64 data;
++  uint32_t thread;
++
++  data.u.i = 0x10000L;
++  thread = data.u.s.thread;
++  if (val)
++    abort ();
++  if (thread)
++    abort ();
++}
++
++int main(void)
++{
++  foo (0);
++  return 0;
++}
 Index: gcc/testsuite/gcc.dg/torture/pr37731-1.c
 ===================================================================
 --- gcc/testsuite/gcc.dg/torture/pr37731-1.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.dg/torture/pr37731-1.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.dg/torture/pr37731-1.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,17 @@
 +/* { dg-do run } */
 +
@@ -763,7 +854,7 @@ Index: gcc/testsuite/gcc.dg/torture/pr37
 Index: gcc/testsuite/gcc.dg/torture/pr37731-2.c
 ===================================================================
 --- gcc/testsuite/gcc.dg/torture/pr37731-2.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.dg/torture/pr37731-2.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.dg/torture/pr37731-2.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,17 @@
 +/* { dg-do run } */
 +
@@ -785,7 +876,7 @@ Index: gcc/testsuite/gcc.dg/pr37544.c
 Index: gcc/testsuite/gcc.dg/pr37544.c
 ===================================================================
 --- gcc/testsuite/gcc.dg/pr37544.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.dg/pr37544.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.dg/pr37544.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,38 @@
 +/* { dg-do run } */
 +/* { dg-options "-O2" } */
@@ -828,7 +919,7 @@ Index: gcc/testsuite/gcc.dg/pr36194.c
 Index: gcc/testsuite/gcc.dg/pr36194.c
 ===================================================================
 --- gcc/testsuite/gcc.dg/pr36194.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/gcc.dg/pr36194.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/gcc.dg/pr36194.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,25 @@
 +/* { dg-do run } */
 +/* { dg-options "-O2" } */
@@ -857,9 +948,17 @@ Index: gcc/testsuite/ChangeLog
 +}
 Index: gcc/testsuite/ChangeLog
 ===================================================================
---- gcc/testsuite/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/testsuite/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
-@@ -1,3 +1,97 @@
+--- gcc/testsuite/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/testsuite/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -1,3 +1,105 @@
++2008-12-05  Eric Botcazou  <ebotcazou@adacore.com>
++
++	* gcc.dg/union-5.c: Run only on x86 and x86-64.
++
++2008-12-04  Eric Botcazou  <ebotcazou@adacore.com>
++
++	* gcc.dg/union-5.c: New test.
++
 +2008-11-30  Eric Botcazou  <ebotcazou@adacore.com>
 +
 +	* g++.dg/opt/reload3.C: New test.
@@ -957,7 +1056,7 @@ Index: gcc/testsuite/ChangeLog
  2008-05-19  Release Manager

  	* GCC 4.2.4 released.
-@@ -293,7 +387,7 @@
+@@ -293,7 +395,7 @@
  	PR testsuite/30459
  	g++.dg/eh/ia64-2.C: Require weak support.

@@ -966,7 +1065,7 @@ Index: gcc/testsuite/ChangeLog

  	Backport:
  	2007-10-31  Paolo Carlini  <pcarlini@suse.de>
-@@ -1385,7 +1479,7 @@
+@@ -1385,7 +1487,7 @@
  	PR libfortran/31001
  	* gfortran.dg/zero_sized_3.f90: New test.

@@ -977,8 +1076,8 @@ Index: gcc/testsuite/g++.old-deja/g++.mi
  	* g++.dg/ext/offsetof1.C: Add cases with volatile.
 Index: gcc/testsuite/g++.old-deja/g++.mike/enum1.C
 ===================================================================
---- gcc/testsuite/g++.old-deja/g++.mike/enum1.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/testsuite/g++.old-deja/g++.mike/enum1.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/testsuite/g++.old-deja/g++.mike/enum1.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/testsuite/g++.old-deja/g++.mike/enum1.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -8,4 +8,4 @@
    void setBTK();
  };
@@ -988,7 +1087,7 @@ Index: gcc/testsuite/g++.dg/conversion/b
 Index: gcc/testsuite/g++.dg/conversion/bitfield10.C
 ===================================================================
 --- gcc/testsuite/g++.dg/conversion/bitfield10.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/conversion/bitfield10.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/conversion/bitfield10.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,24 @@
 +// PR c++/38007
 +// We need to use the conversion function to the declared type of a bitfield,
@@ -1017,7 +1116,7 @@ Index: gcc/testsuite/g++.dg/conversion/b
 Index: gcc/testsuite/g++.dg/conversion/bitfield11.C
 ===================================================================
 --- gcc/testsuite/g++.dg/conversion/bitfield11.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/conversion/bitfield11.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/conversion/bitfield11.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,8 @@
 +// Make sure that digest_init converts to the declared type of the
 +// bitfield, not just the lowered type.
@@ -1030,7 +1129,7 @@ Index: gcc/testsuite/g++.dg/debug/dwarf2
 Index: gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp
 ===================================================================
 --- gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/debug/dwarf2/dwarf2.exp	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,43 @@
 +#   Copyright (C) 2007, 2007 Free Software Foundation, Inc.
 +
@@ -1078,7 +1177,7 @@ Index: gcc/testsuite/g++.dg/debug/dwarf2
 Index: gcc/testsuite/g++.dg/debug/dwarf2/local-var-in-contructor.C
 ===================================================================
 --- gcc/testsuite/g++.dg/debug/dwarf2/local-var-in-contructor.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/debug/dwarf2/local-var-in-contructor.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/debug/dwarf2/local-var-in-contructor.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,30 @@
 +// Contributed by Dodji Seketeli <dodji@redhat.com>
 +// Origin PR27574
@@ -1113,7 +1212,7 @@ Index: gcc/testsuite/g++.dg/opt/reload3.
 Index: gcc/testsuite/g++.dg/opt/reload3.C
 ===================================================================
 --- gcc/testsuite/g++.dg/opt/reload3.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/opt/reload3.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/opt/reload3.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,39 @@
 +// PR target/38287
 +// { dg-do run }
@@ -1157,7 +1256,7 @@ Index: gcc/testsuite/g++.dg/template/cra
 Index: gcc/testsuite/g++.dg/template/crash71.C
 ===================================================================
 --- gcc/testsuite/g++.dg/template/crash71.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/template/crash71.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/template/crash71.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,16 @@
 +// Contributed by Dodji Seketeli <dodji@redhat.com>
 +// Origin: PR c++/37142
@@ -1178,7 +1277,7 @@ Index: gcc/testsuite/g++.dg/template/loo
 Index: gcc/testsuite/g++.dg/template/lookup8.C
 ===================================================================
 --- gcc/testsuite/g++.dg/template/lookup8.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 0)
-+++ gcc/testsuite/g++.dg/template/lookup8.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
++++ gcc/testsuite/g++.dg/template/lookup8.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -0,0 +1,19 @@
 +// PR c++/38030
 +// The call to f should be resolved at template definition time.
@@ -1201,8 +1300,8 @@ Index: gcc/testsuite/g++.dg/expr/bitfiel
 +}
 Index: gcc/testsuite/g++.dg/expr/bitfield9.C
 ===================================================================
---- gcc/testsuite/g++.dg/expr/bitfield9.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/testsuite/g++.dg/expr/bitfield9.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/testsuite/g++.dg/expr/bitfield9.C	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/testsuite/g++.dg/expr/bitfield9.C	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,5 +1,6 @@
  // PR c++/32346
  // { dg-do run }
@@ -1212,8 +1311,8 @@ Index: gcc/cp/typeck.c

 Index: gcc/cp/typeck.c
 ===================================================================
---- gcc/cp/typeck.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cp/typeck.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cp/typeck.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cp/typeck.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -5549,7 +5549,6 @@
    tree newrhs = rhs;
    tree lhstype = TREE_TYPE (lhs);
@@ -1318,8 +1417,8 @@ Index: gcc/cp/ChangeLog
  tree
 Index: gcc/cp/ChangeLog
 ===================================================================
---- gcc/cp/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cp/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cp/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cp/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,26 @@
 +2008-11-19  Dodji Seketeli  <dodji@redhat.com>
 +
@@ -1367,8 +1466,8 @@ Index: gcc/cp/typeck2.c
  	* semantics.c (finish_offsetof): Handle COMPOUND_EXPR.
 Index: gcc/cp/typeck2.c
 ===================================================================
---- gcc/cp/typeck2.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cp/typeck2.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cp/typeck2.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cp/typeck2.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -888,6 +888,7 @@
    for (field = TYPE_FIELDS (type); field; field = TREE_CHAIN (field))
      {
@@ -1410,8 +1509,8 @@ Index: gcc/cp/pt.c
      }
 Index: gcc/cp/pt.c
 ===================================================================
---- gcc/cp/pt.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cp/pt.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cp/pt.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cp/pt.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3962,7 +3962,7 @@
  	       D<int, C> d;

@@ -1423,8 +1522,8 @@ Index: gcc/cp/semantics.c
  			     TREE_TYPE (arg)))
 Index: gcc/cp/semantics.c
 ===================================================================
---- gcc/cp/semantics.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cp/semantics.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/cp/semantics.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cp/semantics.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1886,7 +1886,9 @@
      {
        result = build3 (CALL_EXPR, TREE_TYPE (result), orig_fn,
@@ -1438,9 +1537,78 @@ Index: gcc/cse.c
  }
 Index: gcc/cse.c
 ===================================================================
---- gcc/cse.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/cse.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
-@@ -4372,6 +4372,11 @@
+--- gcc/cse.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/cse.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -1455,17 +1455,6 @@
+   struct table_elt *p
+     = lookup (x, SAFE_HASH (x, VOIDmode), GET_MODE (x));
+
+-  /* If we are looking for a CONST_INT, the mode doesn't really matter, as
+-     long as we are narrowing.  So if we looked in vain for a mode narrower
+-     than word_mode before, look for word_mode now.  */
+-  if (p == 0 && code == CONST_INT
+-      && GET_MODE_SIZE (GET_MODE (x)) < GET_MODE_SIZE (word_mode))
+-    {
+-      x = copy_rtx (x);
+-      PUT_MODE (x, word_mode);
+-      p = lookup (x, SAFE_HASH (x, VOIDmode), word_mode);
+-    }
+-
+   if (p == 0)
+     return 0;
+
+@@ -3258,6 +3247,7 @@
+ fold_rtx_subreg (rtx x, rtx insn)
+ {
+   enum machine_mode mode = GET_MODE (x);
++  enum machine_mode imode = GET_MODE (SUBREG_REG (x));
+   rtx folded_arg0;
+   rtx const_arg0;
+   rtx new;
+@@ -3267,6 +3257,21 @@
+       || (new = lookup_as_function (x, CONST_DOUBLE)) != 0)
+     return new;
+
++  /* If we didn't and if doing so makes sense, see if we previously
++     assigned a constant value to the enclosing word mode SUBREG.  */
++  if (GET_MODE_SIZE (mode) < GET_MODE_SIZE (word_mode)
++      && GET_MODE_SIZE (word_mode) < GET_MODE_SIZE (imode))
++    {
++      int byte = SUBREG_BYTE (x) - subreg_lowpart_offset (mode, word_mode);
++      if (byte >= 0 && (byte % UNITS_PER_WORD) == 0)
++	{
++	  rtx y = gen_rtx_SUBREG (word_mode, SUBREG_REG (x), byte);
++	  new = lookup_as_function (y, CONST_INT);
++	  if (new)
++	    return gen_lowpart (mode, new);
++	}
++    }
++
+   /* If this is a paradoxical SUBREG, we have no idea what value the
+      extra bits would have.  However, if the operand is equivalent to
+      a SUBREG whose operand is the same as our mode, and all the modes
+@@ -3275,9 +3280,8 @@
+
+      Similarly if we find an integer constant.  */
+
+-  if (GET_MODE_SIZE (mode) > GET_MODE_SIZE (GET_MODE (SUBREG_REG (x))))
++  if (GET_MODE_SIZE (mode) > GET_MODE_SIZE (imode))
+     {
+-      enum machine_mode imode = GET_MODE (SUBREG_REG (x));
+       struct table_elt *elt;
+
+       if (GET_MODE_SIZE (mode) <= UNITS_PER_WORD
+@@ -3310,8 +3314,7 @@
+
+   if (folded_arg0 != SUBREG_REG (x))
+     {
+-      new = simplify_subreg (mode, folded_arg0,
+-			     GET_MODE (SUBREG_REG (x)), SUBREG_BYTE (x));
++      new = simplify_subreg (mode, folded_arg0, imode, SUBREG_BYTE (x));
+       if (new)
+ 	return new;
+     }
+@@ -4372,6 +4375,11 @@
  			  && exact_log2 (- INTVAL (const_arg1)) >= 0)))
  		break;

@@ -1452,10 +1620,34 @@ Index: gcc/cse.c
  	      if (is_shift
  		  && (INTVAL (inner_const) >= GET_MODE_BITSIZE (mode)
  		      || INTVAL (inner_const) < 0))
+Index: gcc/configure.ac
+===================================================================
+--- gcc/configure.ac	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/configure.ac	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
+@@ -2178,9 +2178,16 @@
+   as_ver=`$gcc_cv_as --version 2>/dev/null | sed 1q`
+   if echo "$as_ver" | grep GNU > /dev/null; then
+ changequote(,)dnl
+-    as_ver=`echo $as_ver | sed -e 's/GNU assembler \([0-9.][0-9.]*\).*/\1/'`
+-    as_major=`echo $as_ver | sed 's/\..*//'`
+-    as_minor=`echo $as_ver | sed 's/[^.]*\.\([0-9]*\).*/\1/'`
++    as_vers=`echo $as_ver | sed -n \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[	 ].*$,\1,p' \
++	-e 's,^.*[ 	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[ 	].*$,\1,p' \
++	-e 's,^.*[	 ]\([0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\.[0-9][0-9]*\)[	 -].*$,\1,p'`
++    as_major=`expr "$as_vers" : '\([0-9]*\)'`
++    as_minor=`expr "$as_vers" : '[0-9]*\.\([0-9]*\)'`
+ changequote([,])dnl
+     if test $as_major -eq 2 && test $as_minor -lt 11
+     then :
 Index: gcc/gimplify.c
 ===================================================================
---- gcc/gimplify.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/gimplify.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/gimplify.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/gimplify.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3540,7 +3540,7 @@
       side as statements and throw away the assignment.  Do this after
       gimplify_modify_expr_rhs so we handle TARGET_EXPRs of addressable
@@ -1467,8 +1659,8 @@ Index: gcc/expmed.c
        gimplify_stmt (to_p);
 Index: gcc/expmed.c
 ===================================================================
---- gcc/expmed.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/expmed.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/expmed.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/expmed.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3163,7 +3163,8 @@
  	{
  	  /* If we are multiplying in DImode, it may still be a win
@@ -1481,8 +1673,8 @@ Index: gcc/tree-nested.c
  		   && EXACT_POWER_OF_2_OR_ZERO_P (CONST_DOUBLE_HIGH (op1)))
 Index: gcc/tree-nested.c
 ===================================================================
---- gcc/tree-nested.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/tree-nested.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/tree-nested.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/tree-nested.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -749,7 +749,7 @@
    for (cgn = cgn->nested; cgn ; cgn = cgn->next_nested)
      {
@@ -1494,8 +1686,8 @@ Index: gcc/combine.c
        if (check_for_nested_with_variably_modified (cgn->decl, orig_fndecl))
 Index: gcc/combine.c
 ===================================================================
---- gcc/combine.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/combine.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/combine.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/combine.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -430,7 +430,7 @@
  static enum rtx_code simplify_comparison (enum rtx_code, rtx *, rtx *);
  static void update_table_tick (rtx);
@@ -1645,8 +1837,8 @@ Index: gcc/c-common.c
      }
 Index: gcc/c-common.c
 ===================================================================
---- gcc/c-common.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/c-common.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/c-common.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/c-common.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1843,7 +1843,7 @@

  #define TYPE_OK(node)							    \
@@ -1670,8 +1862,8 @@ Index: gcc/config.gcc
  /* Build a bit-field integer type for the given WIDTH and UNSIGNEDP.  */
 Index: gcc/config.gcc
 ===================================================================
---- gcc/config.gcc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config.gcc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config.gcc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config.gcc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,6 +1,6 @@
  # GCC target-specific configuration file.
 -# Copyright 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007
@@ -1695,8 +1887,8 @@ Index: gcc/gthr-posix.h
  		# like -m32 for x86_64-*-*.
 Index: gcc/gthr-posix.h
 ===================================================================
---- gcc/gthr-posix.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/gthr-posix.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/gthr-posix.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/gthr-posix.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -152,9 +152,12 @@
     it is passed so we cannot pretend that the interface is active if -pthreads
     is not specified.  On Solaris 2.5.1, the interface is not exposed at all so
@@ -1732,8 +1924,8 @@ Index: gcc/config/sparc/sparc.md

 Index: gcc/config/sparc/sparc.md
 ===================================================================
---- gcc/config/sparc/sparc.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/sparc/sparc.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/sparc/sparc.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/sparc/sparc.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -5070,14 +5070,11 @@
    [(set_attr "type" "multi")
     (set_attr "length" "2")])
@@ -1909,8 +2101,8 @@ Index: gcc/config/sparc/sparc.c
     (set (attr "length")
 Index: gcc/config/sparc/sparc.c
 ===================================================================
---- gcc/config/sparc/sparc.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/sparc/sparc.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/sparc/sparc.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/sparc/sparc.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -546,7 +546,7 @@
  #undef TARGET_HANDLE_OPTION
  #define TARGET_HANDLE_OPTION sparc_handle_option
@@ -1969,8 +2161,8 @@ Index: gcc/config/i386/sse.md
  	mclass = MODE_FLOAT;
 Index: gcc/config/i386/sse.md
 ===================================================================
---- gcc/config/i386/sse.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/i386/sse.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/i386/sse.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/i386/sse.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3576,20 +3576,19 @@
     (set_attr "mode" "TI,V4SF,V2SF")])

@@ -2000,8 +2192,8 @@ Index: gcc/config/sh/t-sh
    [(match_operand:V2DI 0 "register_operand" "")
 Index: gcc/config/sh/t-sh
 ===================================================================
---- gcc/config/sh/t-sh	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/sh/t-sh	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/sh/t-sh	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/sh/t-sh	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -99,7 +99,7 @@
  $(T)udivsi3_i4i-Os-4-200.o: $(srcdir)/config/sh/lib1funcs-Os-4-200.asm $(GCC_PASSES)
  	$(GCC_FOR_TARGET) $(MULTILIB_CFLAGS) -c -o $@ -DL_udivsi3_i4i -x assembler-with-cpp $<
@@ -2013,8 +2205,8 @@ Index: gcc/config/sh/sh.c
  	$(AR_CREATE_FOR_TARGET) $@ $(OBJS_Os_4_200)
 Index: gcc/config/sh/sh.c
 ===================================================================
---- gcc/config/sh/sh.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/sh/sh.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/sh/sh.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/sh/sh.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -3477,6 +3477,10 @@

    if (optimize)
@@ -2028,8 +2220,8 @@ Index: gcc/config/rs6000/rs6000.md
        if (n_addr > n_target || n_addr + 1022 < n_target)
 Index: gcc/config/rs6000/rs6000.md
 ===================================================================
---- gcc/config/rs6000/rs6000.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/rs6000/rs6000.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/rs6000/rs6000.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/rs6000/rs6000.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -10379,25 +10379,6 @@

    operands[0] = XEXP (operands[0], 0);
@@ -2253,8 +2445,8 @@ Index: gcc/config/mips/mips.md
      return \"b %z1\";
 Index: gcc/config/mips/mips.md
 ===================================================================
---- gcc/config/mips/mips.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/mips/mips.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/mips/mips.md	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/mips/mips.md	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -4037,12 +4037,11 @@
  }
    [(set_attr "length" "8")])
@@ -2271,8 +2463,8 @@ Index: gcc/config/mips/mips.c
    [(set_attr "type"	"unknown")
 Index: gcc/config/mips/mips.c
 ===================================================================
---- gcc/config/mips/mips.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/config/mips/mips.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/config/mips/mips.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/config/mips/mips.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -6709,13 +6709,16 @@
        offset = mips_unspec_address (addr, SYMBOL_GOTOFF_LOADGP);
        incoming_address = gen_rtx_REG (Pmode, PIC_FUNCTION_ADDR_REGNUM);
@@ -2295,8 +2487,8 @@ Index: gcc/gthr-posix95.h
  /* Set up the stack and frame (if desired) for the function.  */
 Index: gcc/gthr-posix95.h
 ===================================================================
---- gcc/gthr-posix95.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ gcc/gthr-posix95.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- gcc/gthr-posix95.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ gcc/gthr-posix95.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -115,9 +115,12 @@
     it is passed so we cannot pretend that the interface is active if -pthreads
     is not specified.  On Solaris 2.5.1, the interface is not exposed at all so
@@ -2332,8 +2524,8 @@ Index: libffi/src/powerpc/ffitarget.h

 Index: libffi/src/powerpc/ffitarget.h
 ===================================================================
---- libffi/src/powerpc/ffitarget.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libffi/src/powerpc/ffitarget.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libffi/src/powerpc/ffitarget.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libffi/src/powerpc/ffitarget.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,6 +1,6 @@
  /* -----------------------------------------------------------------*-C-*-
     ffitarget.h - Copyright (c) 1996-2003  Red Hat, Inc.
@@ -2364,8 +2556,8 @@ Index: libffi/src/powerpc/ffi.c
  #if defined(POWERPC64) || defined(POWERPC_AIX)
 Index: libffi/src/powerpc/ffi.c
 ===================================================================
---- libffi/src/powerpc/ffi.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libffi/src/powerpc/ffi.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libffi/src/powerpc/ffi.c	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libffi/src/powerpc/ffi.c	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,6 +1,6 @@
  /* -----------------------------------------------------------------------
     ffi.c - Copyright (c) 1998 Geoffrey Keating
@@ -2422,8 +2614,8 @@ Index: libffi/ChangeLog
  	   && cif->abi != FFI_LINUX && cif->abi != FFI_LINUX_SOFT_FLOAT)
 Index: libffi/ChangeLog
 ===================================================================
---- libffi/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libffi/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libffi/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libffi/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,24 @@
 +2008-09-10  Andreas Tobler  <a.tobler@schweiz.org>
 +
@@ -2451,8 +2643,8 @@ Index: libjava/Makefile.in
  	* GCC 4.3.0 released.
 Index: libjava/Makefile.in
 ===================================================================
---- libjava/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -763,6 +763,7 @@
  extra_gij_ldflags = @extra_gij_ldflags@
  extra_ldflags = @extra_ldflags@
@@ -2472,8 +2664,8 @@ Index: libjava/libltdl/ChangeLog
  GCJ_WITH_FLAGS = $(GCJ) --encoding=UTF-8 -Wno-deprecated
 Index: libjava/libltdl/ChangeLog
 ===================================================================
---- libjava/libltdl/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/libltdl/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/libltdl/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/libltdl/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,11 @@
 +2008-08-27  Release Manager
 +
@@ -2488,8 +2680,8 @@ Index: libjava/configure.ac
  	* GCC 4.3.0 released.
 Index: libjava/configure.ac
 ===================================================================
---- libjava/configure.ac	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/configure.ac	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/configure.ac	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/configure.ac	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1413,6 +1413,7 @@
     ;;
  esac
@@ -2500,8 +2692,8 @@ Index: libjava/classpath/tools/gnu/class
  AC_DEFINE(JV_API_VERSION, "1.5", [API compatibility version string])
 Index: libjava/classpath/tools/gnu/classpath/tools/javah/ClassWrapper.java
 ===================================================================
---- libjava/classpath/tools/gnu/classpath/tools/javah/ClassWrapper.java	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/classpath/tools/gnu/classpath/tools/javah/ClassWrapper.java	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/classpath/tools/gnu/classpath/tools/javah/ClassWrapper.java	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/classpath/tools/gnu/classpath/tools/javah/ClassWrapper.java	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -217,7 +217,18 @@
          MethodNode m = (MethodNode) i.next();
          String desc = MethodHelper.getBridgeTarget(m);
@@ -2544,8 +2736,8 @@ Index: libjava/classpath/ChangeLog
  	methodNameMap.put(sum, nameToUse);
 Index: libjava/classpath/ChangeLog
 ===================================================================
---- libjava/classpath/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/classpath/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/classpath/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/classpath/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,11 @@
 +2008-08-27  Release Manager
 +
@@ -2560,8 +2752,8 @@ Index: libjava/classpath/ChangeLog.gcj
  	* GCC 4.3.0 released.
 Index: libjava/classpath/ChangeLog.gcj
 ===================================================================
---- libjava/classpath/ChangeLog.gcj	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/classpath/ChangeLog.gcj	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/classpath/ChangeLog.gcj	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/classpath/ChangeLog.gcj	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,15 @@
 +2008-09-14  Matthias Klose  <doko@ubuntu.com>
 +
@@ -2580,8 +2772,8 @@ Index: libjava/include/Makefile.in
  	PR libgcj/35950:
 Index: libjava/include/Makefile.in
 ===================================================================
---- libjava/include/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/include/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/include/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/include/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -285,6 +285,7 @@
  extra_gij_ldflags = @extra_gij_ldflags@
  extra_ldflags = @extra_ldflags@
@@ -2592,8 +2784,8 @@ Index: libjava/include/jvm.h
  host = @host@
 Index: libjava/include/jvm.h
 ===================================================================
---- libjava/include/jvm.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/include/jvm.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/include/jvm.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/include/jvm.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -307,6 +307,9 @@
      s = signature;
    }
@@ -2634,8 +2826,8 @@ Index: libjava/ChangeLog
  /* Type of pointer used as finalizer.  */
 Index: libjava/ChangeLog
 ===================================================================
---- libjava/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/ChangeLog	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/ChangeLog	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,3 +1,46 @@
 +2008-08-27  Release Manager
 +
@@ -2685,8 +2877,8 @@ Index: libjava/testsuite/Makefile.in
  	* link.cc (_Jv_Linker::resolve_method_entry): Remove broken class
 Index: libjava/testsuite/Makefile.in
 ===================================================================
---- libjava/testsuite/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/testsuite/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/testsuite/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/testsuite/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -249,9 +249,6 @@
  ac_ct_LD = @ac_ct_LD@
  ac_ct_RANLIB = @ac_ct_RANLIB@
@@ -2707,8 +2899,8 @@ Index: libjava/HACKING
  host = @host@
 Index: libjava/HACKING
 ===================================================================
---- libjava/HACKING	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/HACKING	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/HACKING	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/HACKING	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -184,6 +184,6 @@
    entire contents of the namespace)

@@ -2720,8 +2912,8 @@ Index: libjava/link.cc
    what to print.
 Index: libjava/link.cc
 ===================================================================
---- libjava/link.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/link.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/link.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/link.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -362,6 +362,19 @@
    return the_method;
  }
@@ -2889,8 +3081,8 @@ Index: libjava/configure

 Index: libjava/configure
 ===================================================================
---- libjava/configure	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/configure	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/configure	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/configure	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -310,7 +310,7 @@
  # include <unistd.h>
  #endif"
@@ -2927,8 +3119,8 @@ Index: libjava/interpret-run.cc
  s,@PERL@,$PERL,;t t
 Index: libjava/interpret-run.cc
 ===================================================================
---- libjava/interpret-run.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/interpret-run.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/interpret-run.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/interpret-run.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -382,13 +382,25 @@
  #else // !DEBUG
  #undef NEXT_INSN
@@ -2963,8 +3155,8 @@ Index: libjava/gcj/Makefile.in
  #endif // !DEBUG
 Index: libjava/gcj/Makefile.in
 ===================================================================
---- libjava/gcj/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/gcj/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/gcj/Makefile.in	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/gcj/Makefile.in	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -286,6 +286,7 @@
  extra_gij_ldflags = @extra_gij_ldflags@
  extra_ldflags = @extra_ldflags@
@@ -2975,8 +3167,8 @@ Index: libjava/gcj/javaprims.h
  host = @host@
 Index: libjava/gcj/javaprims.h
 ===================================================================
---- libjava/gcj/javaprims.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/gcj/javaprims.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/gcj/javaprims.h	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/gcj/javaprims.h	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -440,6 +440,7 @@
        class EnumMap$7;
        class EnumSet;
@@ -2987,8 +3179,8 @@ Index: libjava/java/lang/natString.cc
        class EventListenerProxy;
 Index: libjava/java/lang/natString.cc
 ===================================================================
---- libjava/java/lang/natString.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/java/lang/natString.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/java/lang/natString.cc	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/java/lang/natString.cc	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -1,6 +1,7 @@
  // natString.cc - Implementation of java.lang.String native methods.

@@ -3038,8 +3230,8 @@ Index: libjava/Makefile.am
  	  memcpy (elements (new_array), elements (array),
 Index: libjava/Makefile.am
 ===================================================================
---- libjava/Makefile.am	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 142342)
-+++ libjava/Makefile.am	(.../branches/ubuntu/gcc-4_2-branch)	(revision 142342)
+--- libjava/Makefile.am	(.../tags/ubuntu/gcc-4_2_4-release)	(revision 143049)
++++ libjava/Makefile.am	(.../branches/ubuntu/gcc-4_2-branch)	(revision 143049)
 @@ -67,7 +67,8 @@
  ## Name of the default .db.
  db_name = classmap.db